<h2 align="left">
<sub>
<img  src="fastlane/metadata/android/en-US/images/readme/privacy.svg"
      height="30"
      width="30">
</sub>
LibreTube - Privacy Policy
</h2>

**LibreTube aims to protect the privacy of its users. Our Privacy Policy gives detailed information on which data the app stores in order to work, how it is being used, and how the project protects your personal information. It is recommended to read the privacy policy of LibreTube as well as the privacy policy of the instance you have chosen inside the app.**

### Information Collection
LibreTube only stores necessary data such as watch history, settings, and bookmarks. Users have the option to refrain from utilizing data storage features. The application does not gather any information regarding its usage, nor does it create user profiles or track user activity. Additionally, the application avoids implementing tracking mechanisms within third-party libraries that it utilizes.

### Information Use
LibreTube doesn't share your data with third parties. When using the app without logging in to a Piped account, no data will be shared with any Piped servers. Instead, the data will be stored solely on the device. However, once a user logs in to a Piped account, their subscriptions and playlists will be saved to that account on the corresponding Piped instance.

### Instance list source
By default, the app retrieves a list of instances from [piped-instances.kavin.rocks](https://piped-instances.kavin.rocks), which is considered an official and reliable source. In cases where this source is blocked in certain regions, the app falls back to [instances.tokhmi.xyz](https://instances.tokhmi.xyz). This ensures that the app can still function properly and access a list of instances, even in regions where the primary source is not available.

### Instances & Data handling
In case the user is not logged in to a Piped account on any instance, user data remains private and is not shared with any third parties. Local subscriptions and playlists are stored on the app and not shared with Piped. Users have the option to disable the feature that records their browsing history and timestamps. This information is stored only locally and is not shared with any other Piped instances or third party services.

### Piped account
Piped accounts can be completely deleted with no history kept, providing increased security for users on the site.

## Contributing to SponsorBlock
If you decide to contribute to SponsorBlock via LibreTube (this is disabled by default), please acknowledge their [Privacy Policy](https://gist.github.com/ajayyy/aa9f8ded2b573d4f73a3ffa0ef74f796) and [Terms of Use](https://gist.github.com/ajayyy/9e8100f069348e0bc062641f34d6af12).

### Data Security
LibreTube offers two methods for receiving data from YouTube. You can either use the "Full Local Mode" to connect directly to YouTube's servers or select a Piped instance to proxy all network requests. Since requests to YouTube are made directly from your device when using "Full Local Mode", so YouTube might be able to profile users based on their IP in that case. However, a certain level of privacy is still maintained. If LibreTube is used with a Piped instance, trust is shifted to the instance owner. Piped instances do not log user-specific data, but there is no guarantee regarding the actions of the instance owner. In the event that logging occurs on LibreTube, the amount of data collected would be lower than what is typically gathered by YouTube's official app. This is because LibreTube does not send user behavior or other telemetry data to the server of the instance being used.
No matter which option you choose, LibreTube always only does the minimum amount of network requests needed to provide the functionality you see on your screen - nothing more and nothing less.

### Disclaimer
The LibreTube project is **not affiliated, authorized, or endorsed by YouTube, Google LLC, or any of its affiliates or subsidiaries**. Any intellectual property used is owned by the respective owners.

### Open Source Software
LibreTube is an **open source software** that is built for learning and research purposes. We welcome and encourage collaboration and contributions from the community to help improve the app.

### Changes to Privacy Policy
By using the LibreTube app, you consent to the handling of your information as outlined in this Privacy Policy. If you have any questions or concerns about our Privacy Policy, you are free to open an issue to ask about it or ask at the official [Matrix room](https://matrix.to/#/#LibreTube:matrix.org) of the app.
